Bug 474084 - FC10 install fails resolving dependancies
FC10 install fails resolving dependancies
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
anaconda_trace_hash:a5ec0c1829b040467...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 21:44 EST by Chris Elmquist
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 10:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (61.56 KB, text/plain)
2008-12-01 21:44 EST, Chris Elmquist
no flags Details

  None (edit)
Description Chris Elmquist 2008-12-01 21:44:36 EST
This bug was filed automatically by anaconda.
Comment 1 Chris Elmquist 2008-12-01 21:44:41 EST
Created attachment 325326 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Elmquist 2008-12-01 22:16:35 EST
Numerous attempts to install FC10 on this system always result
in this failure from anaconda.  I have tried directly from
DVD .iso, from network .iso, network via URL to a mirror site,
blows up the same way every time.

This system was previously running FC9 without issue.  I tried to
upgrade and that resulted in hangs, lockups and finally the inability
to complete the install due to a missing dblib of some sort which
RPM and yum needed to finish the install.

So, I have gone back to trying to install FC10 fresh-- wiped
the disk-- yet I continue to encounter these python dumps from
anaconda.

Very frusterating.  This is not what I have come to expect from the
Fedora project.
Comment 3 James Antill 2008-12-02 11:22:08 EST
Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 237, in returnPrco
    if isinstance(self.prco[prcotype], tuple):
[...]
TypeError: _share_data() takes exactly 1 argument (2 given)

...awesome, not only is _share_data() not called on that line, but AFAICS it isn't called with two arguments anywhere in that file.
 Did you check the media?

Note You need to log in before you can comment on or make changes to this bug.